[CentOS] Alternative to audacity

MHR mhullrich at gmail.com
Wed Dec 24 20:53:04 UTC 2008


On Wed, Dec 24, 2008 at 11:52 AM, Akemi Yagi <amyagi at gmail.com> wrote:
>
> Perhaps, this forum thread has some useful info:
>
> http://www.centos.org/modules/newbb/viewtopic.php?viewmode=flat&topic_id=16273&forum=38
>

Well, I installed the compat-wxGTK library from ccrma, then installed
audacity (and wxGTK) from rpmforge, but I got errors trying to run
audacity:

[mrichter at swordfish ~]$ audacity
Fatal Error: Mismatch between the program and library build versions detected.
The library used 2.6 (no debug,Unicode,compiler with C++ ABI 1002,wx
containers,compatible with 2.2,compatible with 2.4),
and your program used 2.6 (no debug,Unicode,compiler with C++ ABI
1002,wx containers,compatible with 2.4).
Aborted

Here's what's installed:

[mrichter at swordfish ~]$ yg audacity
audacity.i386                            1.3.0b-1.el5.rf        installed
[mrichter at swordfish ~]$ yg wxgtk
compat-wxGTK26.i386                2.6.4-2.el5.ccrma      installed
wxGTK.i386                               2.8.9-1.el5.rf         installed

If I try to erase the wxGTK (2.8), it wants to take audacity with it,
so does the compat wxgtk, and if I try to erase audacity, it wants to
take out the wxgtk library.

???

mhr


More information about the CentOS mailing list